@import url('https://fonts.googleapis.com/css2?family=ABeeZee:ital@0;1&display=swap');

:root {
    --cognac: #a98b76;
    --peach: #edc58a;
    --sage-green: #b5c3b1;
    --indigo: #32083d;
    --green: #00af71;

    --black: #130f40;
    --orange: #ff7800;
    --light-color: #666;
    --box-shadow: 0 .5rem 1.5rem rgba(0, 0, 0.1);
    --border: .2rem solid rgba(0, 0, 0.1);
    --outline: .1rem solid rgba(0, 0, 0.1);
    --outline-hover: .2rem solid var(--black);

}

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: 'ABeeZee', sans-serif;
    outline: none;
    border: none;
    text-decoration: none;
    text-transform: capitalize;
    transition: all .2s linear;

}

html {
    font-size: 62.5%;
    overflow-x: hidden;
    scroll-behavior: smooth;
    scroll-padding-top: 7rem;
}

body {
    background: #eee;
}

section {
    padding: 2rem 9%;
}

.heading {
    text-align: center;
    padding: 2rem 0;
    padding-bottom: 3rem;
    font-size: 3.5rem;
    color: var(--black);
}

.heading span {
    background: var(--green);
    color: #fff;
    display: inline-block;
    padding: 1rem 2rem;
    clip-path: polygon(100% 0, 93% 50%, 100% 100%, 0% 100%, 7% 50%, 0% 0%);
}

.btn {
    margin-top: 1rem;
    display: inline-block;
    padding: .8rem 3rem;
    font-size: 1.7rem;
    border-radius: .5rem;
    border: .2rem solid var(--black);
    color: var(--black);
    cursor: pointer;
    background: none;
}

.btn:hover {
    background: var(--green);
    color: #fff;
}

/* == header  == */

.header {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    z-index: 1000;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 2rem 9%;
    box-shadow: var(--box-shadow);
    background: #fff;
}

.header .logo {
    font-size: 2.5rem;
    font-weight: bolder;
    color: var(--black);

}

.header .logo i {
    color: var(--green);
}

/* == navbar == */

.header .navbar a {
    font-size: 1.7rem;
    margin: 0 1rem;
    color: var(--black);
}

.header .navbar a:hover {
    color: var(--peach);
}

.header .navbar a.active {
    color: var(--peach);
    font-weight: bold;
}


.header .icons div {
    height: 4.5rem;
    width: 4.5rem;
    line-height: 4.5rem;
    border-radius: .5rem;
    background: var(--orange);
    color: var(--black);
    font-size: 2rem;
    margin-right: .3rem;
    text-align: center;
    cursor: pointer;
}

.header .icons div:hover {
    background: var(--green);
    color: #fff;
}

#menu-btn {
    display: none;
}

/* search-box */
.header .search-form {
    position: absolute;
    top: 110%;
    right: -110%;
    width: 50rem;
    height: 5rem;
    background: #fff;
    border-radius: .5rem;
    overflow: hidden;
    display: flex;
    align-items: center;
    box-shadow: var(--box-shadow);
}

.header .search-form.active {
    right: 2rem;
    transition: .4s linear;
}

.header .search-form input {
    height: 100%;
    width: 100%;
    background: none;
    text-transform: none;
    font-size: 1.6rem;
    color: var(--black);
    padding: 0 1.5rem;
}

.header .search-form label {
    font-size: 2.2rem;
    padding-right: 1.5rem;
    color: var(--black);
    cursor: [pointer];

}

.header .search-form label:hover {
    color: var(--green);
}

/* shopping-cart */
.header .shopping-cart {
    position: absolute;
    top: 110%;
    right: -110%;
    width: 80rem;
    padding: 1rem;
    border-radius: .2rem;
    box-shadow: var(--box-shadow);
    background: #fff;
    transition: 0.5s;
}

.header .shopping-cart h1 {
    text-align: center;
}

.header .shopping-cart.active {
    right: 2rem;
    transition: .4s linear;
}

.header .shopping-cart .box {
    
    /* display: flex; */
    align-items: center;
    gap: 1rem;
    position: relative;
    margin: 1rem 0; 
    overflow: scroll;
    height: 300px;
}

.header .shopping-cart .box img {
    height: 5rem;
    width: 100%;
    border-radius: 10px;
    box-shadow: var(--box-shadow);
    object-fit: contain;
}



/* Style for the product list */
.header .shopping-cart .box #product-list {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    margin: 0 auto;
    max-width: 800px;
}

.header .shopping-cart .box {
    background: #f2f2f2;
    border-radius: 10px;
    box-shadow: var(--box-shadow);
    margin: 10px;
    padding: 10px;
    text-align: center;
    width: 76rem;
} 

.header .shopping-cart .box .img {
    width: 100%;
    height: auto;
    border-radius: 10px;
    box-shadow: var(--box-shadow);
}

.header .shopping-cart .checkOut .total {
    text-align: center;
    right: 0;
    font-size: 2.5rem;
    font-weight: bold;
    margin-top: 5px;
}

.heaader .shopping-cart .checkOut .btn-out {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: .5rem;
}

.heaader .shopping-cart .checkOut .btn-out .btn {
    display: inline-block;
    width: 100px;
    /* optional: set a fixed width for the buttons */
}

/* .quantity {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 10px;
} */



/* Style for the cart table */
.header .shopping-cart .listCard,
.header .shopping-cart .box {
    font-size: 1.5rem;
    border-collapse: collapse;
    margin: 20px auto;
    max-width: 800px;
    width: 100%;

}

.header .shopping-cart .box thead {
    text-align: center;
    background: #f2f2f2;
    border-bottom: 1px solid #ccc;
}

.header .shopping-cart .box th,
.header .shopping-cart .box td {
    padding: 10px;
    text-align: left;
    font-size: 2rem;
}

.header .shopping-cart .box th {
    text-align: center;
    font-weight: bold;
    font-size: 2rem;
}

.header .shopping-cart .box td img {
    height: 50px;
    width: auto;
}

.header .shopping-cart .box td button {
    background: #428bca;
    border: none;
    border-radius: 5px;
    color: #fff;
    cursor: pointer;
    font-size: 14px;
    padding: 5px 10px;
}

.header .shopping-cart .listCard td input[type="number"] {
    width: 50px;
    margin: 0 5px;
    padding: 5px;
    text-align: center;
    border-radius: 5px;
    border: 1px solid #ccc;
}

/* login form */
.header .login-form {
    position: absolute;
    top: 110%;
    right: -110%;
    width: 30rem;
    padding: 2rem;
    border-radius: .5rem;
    box-shadow: var(--box-shadow);
    background: #fff;
    text-align: center;
}

.header .login-form.active {
    right: 2rem;
    transition: .4s linear;
}

.header .login-form h3 {
    font-size: 2.5rem;
    text-transform: uppercase;
    color: var(--black);
}

.header .login-form .box {
    width: 100%;
    margin: .7rem 0;
    background: #eee;
    border-radius: .5rem;
    padding: 1rem;
    font-size: 1.6rem;
    color: var(--black);
    text-transform: none;
}

.header .login-form p {
    font-size: 1.4rem;
    padding: .5rem 0;
    color: var(--light-color);
}

.header .login-form p a {
    color: var(--green);
    text-decoration: underline;
}

/* ==== */

.header .login-form #user_error,
.header .login-form #pass_error {
    margin-top: 5px;
    width: 345px;
    font-size: 18px;
    color: #C62828;
    background: rgba(255, 0, 0, 0.1);
    text-align: center;
    padding: 5px 8px;
    border-radius: 3px;
    border: 1px solid #EF9A9A;
    display: none;
}

/* ===== */

.home {
    display: flex;
    align-items: center;
    justify-content: center;
    background: url(../img/bg.jpg) no-repeat;
    background-size: cover;
    padding-top: 17rem;
    padding-bottom: 10rem;
    box-shadow: var(--box-shadow);
}

.home .content {
    text-align: center;
    width: 120rem;
    background-color: rgba(255, 255, 255, 0.76);
    padding: 4rem 0;
    border-radius: 10px;
    box-shadow: var(--box-shadow);
}

.home .content h3 {
    color: var(--black);
    font-size: 4rem;
}

.home .content h3 span {
    color: var(--green);
    font-size: 4rem;
}

.home .content p {
    color: var(--light-color);
    font-size: 1.7rem;
    padding: 1rem 0;
    line-height: 1.7rem;
}

/* ===features === */
.features .box-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(30rem, 1fr));
    gap: 1.5rem;
}

.features .box-container .box {
    padding: 3rem 2rem;
    background: #fff;
    outline: var(--outline);
    outline-offset: -1rem;
    text-align: center;
    box-shadow: var(--box-shadow);
}

.features .box-container .box:hover {
    outline: var(--outline-hover);
    outline-offset: 0rem;
}

.features .box-container .box img {
    margin: 1rem 0;
    height: 15rem;
}

.features .box-container .box h3 {
    font-size: 2.5rem;
    line-height: 1.8;
    color: var(--black);
}

.features .box-container .box p {
    font-size: 1.5rem;
    line-height: 1.8;
    color: var(--light-color);
    padding: 1rem 0;
}

/* === */

.features .modal {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    display: none;
    justify-content: center;
    align-items: center;
    z-index: 9999;
}

.features .modal.active {
    display: flex;
}

.features .modal img {
    display: block;
    margin: 0 auto;
    height: 20rem;

}

.features .modal-content {
    background-color: #fff;
    border-radius: 10px;
    padding: 20px;
    max-width: 1000px;
    max-height: 80%;
    overflow-y: auto;
}

/* .features .modal-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
} */

.features .modal .modal-content h2 {
    text-align: center;
    font-size: 2.5rem;
    line-height: 1.8;
    color: var(--black);
}

.features .modal .modal-content p {
    font-size: 1.5rem;
    line-height: 1.8;
    color: var(--light-color);
    padding: 1rem 0;
    text-align: justify;
}

.features .modal .modal-content .modal-close-btn {
    cursor: pointer;
    font-size: 1.5rem;
    color: #333;
    margin-left: auto;
}

.features .modal .modal-content .modal-close-btn:hover {

    color: var(--green);

}

/* === */

/* =========== */
.categories .box-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(25rem, 1fr));
    gap: 1.5rem;
}

.categories .box-container .box {
    padding: 3rem 2rem;
    border-radius: .5rem;
    background: #fff;
    outline: var(--outline);
    outline-offset: -1rem;
    text-align: center;
    box-shadow: var(--box-shadow);
}

.categories .box-container .box:hover {
    outline: var(--outline-hover);
    outline-offset: 0rem;
}

.categories .box-container .box img {
    margin: 1rem 0;
    height: 15rem;
    width: 20rem;
}

.categories .box-container .box h3 {
    font-size: 2.5rem;
    line-height: 1.8;
    color: var(--black);
}

.categories .box-container .box p {
    font-size: 1.5rem;
    line-height: 1.8;
    color: var(--light-color);
    padding: 1rem 0;
}

/* =========== */

/* == products == */
.products .product-catalogue {
    padding: 1rem;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(25rem, 1fr));
    gap: 10px;
}

.products .product-catalogue:first-child {
    margin-bottom: 2rem;
}

.products .product-catalogue .box {
    background: #fff;
    border-radius: .5rem;
    text-align: center;
    padding: 3rem 2rem;
    outline-offset: -1rem;
    outline: var(--outline);
    box-shadow: var(--box-shadow);
    transition: .2s linear;
}



.products .product-catalogue .box:hover {
    outline-offset: 0rem;
    outline: var(--outline-hover);

}

.products .product-catalogue .box img {
    margin: 1rem 0;
    height: 15rem;
    cursor: pointer;
}

.products .product-catalogue .box .title {
    font-size: 2.5rem;
    color: var(--black)
}

.products .product-catalogue .box .unit {
    font-size: 1.5rem;
    color: var(--black)
}


.products .product-catalogue .box .price {
    font-size: 2rem;
    color: var(--light-color);
    padding: .5rem 0;
}

.products .product-catalogue .box .stars i {
    font-size: 1.7rem;
    color: var(--orange);
}



.products .product-catalogue .box label {
    font-size: 1.5rem;
    margin-right: 5px;
}

.products .product-catalogue .box input[type="number"] {
    width: 50px;
    margin: 0 5px;
    padding: 5px;
    text-align: center;
    border-radius: 5px;
    border: 1px solid #000000;
}



/* testimonials */

.testimonials .box-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(30rem, 1fr));
    gap: 1.5rem;
}

.testimonials .box-container .box {
    padding: 3rem 2rem;
    background: #fff;
    outline: var(--outline);
    outline-offset: -1rem;
    text-align: center;
    box-shadow: var(--box-shadow);
}

.testimonials .box-container .box:hover {
    outline: var(--outline-hover);
    outline-offset: 0rem;
}

.testimonials .box-container .box img {
    margin: 1rem 0;
    height: 15rem;
}

.testimonials .box-container .box h3 {
    font-size: 2.5rem;
    line-height: 1.8;
    color: var(--black);
}

.testimonials .box-container .box p {
    font-size: 1.5rem;
    line-height: 1.8;
    color: var(--light-color);
}

.testimonials .box-container .box .star-rating {
    color: var(--green);
}

.testimonials .box-container .box i.fas.fa-star {
    color: inherit;
}

/* ====== */
.footer {
    background: #fff;
}

.footer .box-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(25rem, 1fr));
    gap: 1.5rem;
}

.footer .box-container .box h3 {
    font-size: 2.5rem;
    color: var(--black);
    padding: 1rem 0;
}

.footer .box-container .box h3 i {
    columns: var(--green);
}

.footer .box-container .box a {
    text-transform: none;
    display: block;
    font-size: 1.5rem;
    color: var(--light-color);
    padding: 1rem 0;
}

.footer .box-container .box a i {
    color: var(--green);
    padding-right: .5rem;
}

.footer .box-container .box a:hover i {
    padding-right: 2rem;
}

.footer .box-container .box .links {
    display: block;
    font-size: 1.5rem;
    color: var(--light-color);
    padding: 1rem 0;
}

.footer .box-container .box .links i {
    color: var(--green);
    padding-right: .5rem;
}

.footer .box-container .box .links:hover i {
    padding-right: 2rem;
}

.footer .box-container .box p {
    line-height: 1.8;
    font-size: 1.5rem;
    color: var(--light-color);
    padding: 1rem 0;
}

.footer .box-container .box .share a {
    display: inline-block;
    height: 4rem;
    width: 4rem;
    /* line-height: 4rem; */
    border-radius: .5rem;
    font-size: 2rem;
    color: var(--black);
    margin-left: .2rem;
    background: #eee;
    text-align: center;
}

.footer .box-container .box .share a:hover {
    color: var(--green);
    background: #eee;

}

.footer .box-container .box .email {
    width: 100%;
    margin: .7rem 0;
    padding: 1rem;
    border-radius: .5rem;
    background: #eee;
    font-size: 1.6rem;
    color: var(--black);
    text-transform: none;
}

.footer .credit {
    text-align: center;
    margin-top: 2rem;
    padding: 1rem;
    padding-top: 2.5rem;
    font-size: 2rem;
    color: var(--black);
    border-top: var(--border);
}

.footer .credit span {
    color: var(--green);
}


/* media queries */
@media (max-width:991px) {
    html {
        font-size: 55.5%;

    }

    .header {
        padding: 2rem;

    }

    section {
        padding: 2rem;
    }

    .shopping-cart {
        width: 991px;
    }
}


@media (max-width:768px) {

    #menu-btn {
        display: inline-block;
    }

    .header .search-form {
        width: 90%;

    }

    .header .navbar {
        position: absolute;
        top: 110%;
        right: -110%;
        width: 30rem;
        box-shadow: var(--box-shadow);
        border-radius: .5rem;
        background: #fff;
    }

    .header .navbar.active {
        right: 2rem;
        transition: .4s linear;
    }

    .header .navbar a {
        font-size: 2rem;
        margin: 2rem 2.2rem;
        display: block;
        color: var(--black);
    }

    .header .navbar a:hover {
        color: var(--peach);
    }

    .header .shopping-cart {
        width: 90%;
    }

    .header .shopping-cart.active {
        right: 2.8rem;
        transition: .4s linear;
    }
    /* .header .shopping-cart .listCard,
    .header .shopping-cart .box {
        font-size: 1.5rem;
        border-collapse: collapse;
        margin: 12px auto;
        width: 100%;
    } */

    .header .shopping-cart .box th,
    .header .shopping-cart .box td {
        padding: 1px;
        text-align: center;
        font-size: 1.6rem;
    }

    .header .shopping-cart .box td button {

        font-size: 14px;
        padding: 1px 1px;
    }

    .header .shopping-cart .listCard td input[type="number"] {
        width: 40px;

    }

}


@media (max-width:450px) {
    html {
        font-size: 50%;

    }

    .heading {
        font-size: 2.5rem;

    }

    .header .shopping-cart {
        font-size: 1.5rem;
    }
    .footer {
        text-align: center;
    }
}